%
% anyremote configuration file for Moovida (former Elisa) media center. (Server-mode)
%

% STATUS unknown
% XTEST yes
% SOUND app
% ENV no
% ALL_IN_ONE 

GuiAppName=Moovida/Elisa
GuiAppBinary=B=`which moovida 2> /dev/null`;if [ "x$B" = "x" ]; then echo elisa; else echo moovida; fi
GuiAppRun=A=`ps -ef|grep -e "moovida\|elisa"|grep -v grep`; if [ "x$A" = "x" ]; then echo NOK; else echo OK; fi
GuiAppIcon=elisa.png
GuiAppType=Application
GuiAppProtocols=Server
GuiAppDesc=The Moovida (former Elisa) Media Center has many advanced features that will make your media center experience unique. It features an intuitive interface with a professional look and feel which can be easily used with a standard TV remote control.

[Protocol]=Server

(Init)=\
	Include($(CfgDir)/Utils/aliases-server.cfg);\
 	Make(var,exec_name,B=`which moovida 2> /dev/null`;if [ "x$B" = "x" ]; then echo elisa; else echo moovida; fi)

(Connect)=\
	Make(mode,elisa);
	
Cancel=Make(exit);

[Mode]=elisa

(EnterMode)=\
	Set(status,);\
	Set(title,);\
	Set(layout,default,keypad_only);\
	Set(icons,Moovida,1,fullscreen,2,up,3,none,4,left,5,plus,6,right,7,prev,8,down,9,next,*,question,0,minus,#,no);\
	Macro(ELISA_MENU);\
	Macro(ELISA_RUN)
	
(ExitMode)=\
	Set(layout,default);

ELISA_MENU=\
	Set(menu,replace,);Macro(ALLIN1MENU)

ELISA_RUN=\
	Exec(P=`ps -ef|grep $(exec_name)|grep -v grep|grep -v edit|grep -v anyremote`; if [ "x$P" = "x" ]; then xterm -e $(exec_name)& fi);

ELISA_RUN_STOP=\
	Exec(P=`ps -ef|grep $(exec_name)|grep -v grep|grep -v edit|grep -v anyremote`; if [ "x$P" = "x" ]; then xterm -e $(exec_name)& else killall $(exec_name); fi);

UP   =Emulate(key,Up);
DOWN =Emulate(key,Down);
LEFT =Emulate(key,Left);
RIGHT=Emulate(key,Right);
FIRE =Emulate(key,Return);

1=Emulate(key,Escape);
2=Emulate(key,Up);
3=Exec()

4=Emulate(key,Left);
5=Emulate(key,Return);
6=Emulate(key,Right);

7=Emulate(key,x);
8=Emulate(key,Down);
9=Emulate(key,c);

* *=Set(text,replace,Help, Move cursor by 2,4,6,8\nor joystick\nVolume up/down by 2,8\nor joystick\n1 - toggle fullscreen\n5 action - play/pause etc.\n7 - Previous\n9 - Next\n0 - Show/hide menu\n# - exit\n* # - Run/Quit Moovida/Elisa)
* #=Macro(ELISA_RUN_STOP)

0=Emulate(key,BackSpace); 
#=Emulate(key,q);

Back=Set(text,close);Macro(ELISA_MENU)

[ModeEnd]


[End]
